#ifndef _CARD_PATH_HPP_
#define _CARD_PATH_HPP_

#include "point.h"
#include "line.h"

struct sit_list;
struct card_path
{
    std::vector<line_v>  find_possible_path(const point&from,double dist) const;
    std::vector<point>   find_path(const point&from,const point&to) const;
    bool is_at_path(const point&pt) const;

    static card_path&inst();
    static void init();
};

#endif

